Update network configuration
Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )
Update network to adjust CIDR ranges, VLAN assignments, or gateways.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
region*string
Region identifier
project*string
Project identifier
id*string
Unique network identifier
Request Body
application/json
displayName?string
Updated human-friendly display name for the network.
description?string
Updated description of this resource.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/networks/string" \ -H "Content-Type: application/json" \ -d '{}'{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/networks/network-g7h8i9",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "network-g7h8i9",
"displayName": "string",
"description": "string",
"cidr": "string",
"subnets": [
{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/subnets/subnet-a1b2c3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "subnet-a1b2c3",
"displayName": "string",
"description": "string",
"network": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/networks/default",
"ipv4Cidr": "10.0.1.0/24",
"ipv6Cidr": "fd00:1::/64",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?